Criar regra de cashback
curl --request POST \
--url https://api.dooki.com.br/v2/{alias}/pricing/cashbacks/rules \
--header 'Content-Type: application/json' \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>' \
--data '
{
"max_order_percent": 10,
"expires_if_order_cancelled": true,
"allow_cashback_with_balance": true
}
'import requests
url = "https://api.dooki.com.br/v2/{alias}/pricing/cashbacks/rules"
payload = {
"max_order_percent": 10,
"expires_if_order_cancelled": True,
"allow_cashback_with_balance": True
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
max_order_percent: 10,
expires_if_order_cancelled: true,
allow_cashback_with_balance: true
})
};
fetch('https://api.dooki.com.br/v2/{alias}/pricing/cashbacks/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"max_order_percent": 123,
"expires_if_order_cancelled": true,
"cumulative": true,
"active": true,
"allow_cashback_with_balance": "Exemplo de cashback",
"created_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"updated_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
}
}Cashback
Criar regra de cashback
Retorna a regra de cashback da loja
POST
/
{alias}
/
pricing
/
cashbacks
/
rules
Criar regra de cashback
Path Parameters
Alias da loja
Body
application/json
Defina aqui a porcentagem máxima do pedido que pode ser quitada com o cashback.
Example:
10
Expira o cashback se o pedido for cancelado
Example:
true
Permite que pedidos com cashback acumulem saldo
Example:
true
Response
Regra de cashback criada com sucesso
Was this page helpful?
⌘I